## org.red5.server.messaging
Class OOBControlMessage

    java.lang.Object
      org.red5.server.messaging.OOBControlMessage

All Implemented Interfaces:
  Serializable

    public class OOBControlMessage

extends Object
implements Serializable

Out-of-band control message used by inter-components communication which are connected with pipes. Out-of-band data is a separate data stream used for specific purposes (in TCP it's referenced as "urgent data"), like lifecycle control. `'Target'` is used to represent the receiver who may be interested for receiving. It's a string of any form. XXX shall we design a standard form for Target, like "class.instance"?

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)
See Also:
  Serialized Form

Constructor Summary
`OOBControlMessage()`

Method Summary
`Object` `getResult()` Getter for property 'result'.
`String` `getServiceName()` Getter for property 'serviceName'.
`Map<String,Object>` `getServiceParamMap()` Getter for property 'serviceParamMap'.
`String` `getTarget()` Getter for property 'target'.
`void` `setResult(Object result)` Setter for property 'result'.
`void` `setServiceName(String serviceName)` Setter for property 'serviceName'.
`void` `setServiceParamMap(Map<String,Object> serviceParamMap)` Setter for property 'serviceParamMap'.
`void` `setTarget(String target)` Setter for property 'target'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OOBControlMessage

    public OOBControlMessage()

Method Detail

### getServiceName

    public String getServiceName()

  Getter for property 'serviceName'.

  Returns:
    Value for property 'serviceName'.

### setServiceName

    public void setServiceName(String serviceName)

  Setter for property 'serviceName'.

  Parameters:
    `serviceName` - Value to set for property 'serviceName'.

### getServiceParamMap

    public Map<String,Object> getServiceParamMap()

  Getter for property 'serviceParamMap'.

  Returns:
    Value for property 'serviceParamMap'.

### setServiceParamMap

    public void setServiceParamMap(Map<String,Object> serviceParamMap)

  Setter for property 'serviceParamMap'.

  Parameters:
    `serviceParamMap` - Value to set for property 'serviceParamMap'.

### getTarget

    public String getTarget()

  Getter for property 'target'.

  Returns:
    Value for property 'target'.

### setTarget

    public void setTarget(String target)

  Setter for property 'target'.

  Parameters:
    `target` - Value to set for property 'target'.

### getResult

    public Object getResult()

  Getter for property 'result'.

  Returns:
    Value for property 'result'.

### setResult

    public void setResult(Object result)

  Setter for property 'result'.

  Parameters:
    `result` - Value to set for property 'result'.

Copyright © 2006-2010 The Red5 Project